POST api/mediwaveprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "29340cab-811b-413d-834a-04814bd59596",
"program_id": "4008f818-5909-4879-b709-8736b85497f3",
"mediwave_program_step_type_id": "d845fd9b-32f0-48f0-9b2c-54b033bb13fb",
"name": "sample string 6"
}
application/xml, text/xml
Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>29340cab-811b-413d-834a-04814bd59596</id> <mediwave_program_step_type_id>d845fd9b-32f0-48f0-9b2c-54b033bb13fb</mediwave_program_step_type_id> <name>sample string 6</name> <program_id>4008f818-5909-4879-b709-8736b85497f3</program_id> </mediwave_program_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"b0bf0bda-33b1-47a5-b009-cb440c2fbd13"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">b0bf0bda-33b1-47a5-b009-cb440c2fbd13</guid>